Debian Bug report logs - #676504
ITP: pocl -- Portable OpenCL

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vincent Danjean <vdanjean@debian.org>

Date: Thu, 7 Jun 2012 12:30:20 UTC

Owned by: "Rebecca N. Palmer" <r.palmer@bham.ac.uk>

Severity: wishlist

Blocking fix for 630321: imagemagick: Heterogeneous Distributed Processing (OpenCL) support missing: available since 6.5.9-0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, Brice.Videau@imag.fr, wnpp@debian.org:
Bug#676504; Package wnpp. (Thu, 07 Jun 2012 12:30:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, Brice.Videau@imag.fr, wnpp@debian.org. (Thu, 07 Jun 2012 12:30:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pocl -- Portable OpenCL
Date: Thu, 07 Jun 2012 14:29:01 +0200
Package: wnpp
Severity: wishlist
Owner: Vincent Danjean <vdanjean@debian.org>

* Package name    : pocl
  Version         : 0.6
  Upstream Author : Carlos Sánchez de La Lama and others
* URL             : https://launchpad.net/pocl
* License         : Some kind of BSD
  Programming Lang: C/llvm
  Description     : Portable OpenCL

Portable OpenCL is an open source implementation of the OpenCL standard which
can be easily adapted for new targets. One of the goals of the project is
improving performance portability of OpenCL programs, avoiding the need for
target-dependent manual optimizations. A "native" target is included, which
allows running OpenCL kernels on the host (CPU).

This would allow to have a free implementation in Debian so that OpenCL
programs can be packaged. Other well-known implementations (AMD, NVidia, Intel)
are non-free.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#676504; Package wnpp. (Tue, 12 Jun 2012 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to YunQiang Su <wzssyqa@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Tue, 12 Jun 2012 09:15:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: YunQiang Su <wzssyqa@gmail.com>
To: Vincent Danjean <vdanjean@debian.org>, 676504@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#676504: ITP: pocl -- Portable OpenCL
Date: Tue, 12 Jun 2012 17:12:09 +0800
Great, and how about the progress of Mesa3D's?
or this is that one?

On Thu, Jun 7, 2012 at 8:29 PM, Vincent Danjean <vdanjean@debian.org> wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Vincent Danjean <vdanjean@debian.org>
>
> * Package name    : pocl
>  Version         : 0.6
>  Upstream Author : Carlos Sánchez de La Lama and others
> * URL             : https://launchpad.net/pocl
> * License         : Some kind of BSD
>  Programming Lang: C/llvm
>  Description     : Portable OpenCL
>
> Portable OpenCL is an open source implementation of the OpenCL standard which
> can be easily adapted for new targets. One of the goals of the project is
> improving performance portability of OpenCL programs, avoiding the need for
> target-dependent manual optimizations. A "native" target is included, which
> allows running OpenCL kernels on the host (CPU).
>
> This would allow to have a free implementation in Debian so that OpenCL
> programs can be packaged. Other well-known implementations (AMD, NVidia, Intel)
> are non-free.
>
>
>
> --
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120607122901.17541.14609.reportbug@eyak.imag.fr
>



-- 
YunQiang Su




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#676504; Package wnpp. (Tue, 12 Jun 2012 09:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to YunQiang Su <wzssyqa@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Tue, 12 Jun 2012 09:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676504; Package wnpp. (Tue, 12 Jun 2012 11:45:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 12 Jun 2012 11:45:58 GMT) Full text and rfc822 format available.

Message #20 received at 676504@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: YunQiang Su <wzssyqa@gmail.com>, 676504@bugs.debian.org
Subject: Re: Bug#676504: ITP: pocl -- Portable OpenCL
Date: Tue, 12 Jun 2012 13:44:49 +0200
Le 12/06/2012 11:12, YunQiang Su a écrit :
> Great, and how about the progress of Mesa3D's?

I do not know anything about mesa3D.

For reference, my initial packaging about pocl can be seen here:
Vcs-Git: git://git.debian.org/collab-maint/pocl.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pocl.git;a=summary

  Regards,
    Vincent

> or this is that one?
> 
> On Thu, Jun 7, 2012 at 8:29 PM, Vincent Danjean <vdanjean@debian.org> wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Vincent Danjean <vdanjean@debian.org>
>>
>> * Package name    : pocl
>>  Version         : 0.6
>>  Upstream Author : Carlos Sánchez de La Lama and others
>> * URL             : https://launchpad.net/pocl
>> * License         : Some kind of BSD
>>  Programming Lang: C/llvm
>>  Description     : Portable OpenCL
>>
>> Portable OpenCL is an open source implementation of the OpenCL standard which
>> can be easily adapted for new targets. One of the goals of the project is
>> improving performance portability of OpenCL programs, avoiding the need for
>> target-dependent manual optimizations. A "native" target is included, which
>> allows running OpenCL kernels on the host (CPU).
>>
>> This would allow to have a free implementation in Debian so that OpenCL
>> programs can be packaged. Other well-known implementations (AMD, NVidia, Intel)
>> are non-free.
>>
>>
>>
>> --
>> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
>> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>> Archive: http://lists.debian.org/20120607122901.17541.14609.reportbug@eyak.imag.fr
>>
> 
> 
> 


-- 
Vincent Danjean       GPG key ID 0x9D025E87         vdanjean@debian.org
GPG key fingerprint: FC95 08A6 854D DB48 4B9A  8A94 0BF7 7867 9D02 5E87
Unofficial pkgs: http://moais.imag.fr/membres/vincent.danjean/deb.html
APT repo:  deb http://people.debian.org/~vdanjean/debian unstable main





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#676504; Package wnpp. (Tue, 26 Jun 2012 08:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Tue, 26 Jun 2012 08:51:07 GMT) Full text and rfc822 format available.

Message #25 received at 676504@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 676504@bugs.debian.org
Subject: imagemagick
Date: Tue, 26 Jun 2012 10:46:44 +0200
tags 630321 - wontfix
block 630321 by 676504
thanks

post freeze imagemagick may depend on this package.

Bastien




Added indication that bug 676504 blocks 630321 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Tue, 26 Jun 2012 08:51:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#676504; Package wnpp. (Tue, 26 Jun 2012 09:39:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean.ml@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Tue, 26 Jun 2012 09:39:42 GMT) Full text and rfc822 format available.

Message #32 received at 676504@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean.ml@free.fr>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 676504@bugs.debian.org, 630321@bugs.debian.org
Subject: Re: Bug#676504: imagemagick
Date: Tue, 26 Jun 2012 11:38:28 +0200
Le 26/06/2012 10:46, Bastien ROUCARIES a écrit :
> tags 630321 - wontfix
> block 630321 by 676504
> thanks
> 
> post freeze imagemagick may depend on this package.

More exactly, it would depends on libopencl1, provided by
ocd-icl-libopencl1 in main (and probably build-depends on
ocl-icd-opencl-dev | opencl-dev).

ocl-icd-libopencl1 is already in wheezy (and I hope that
ocl-icd-opencl-dev will be accepted soon, it is in NEW)
  But, I you correctly think, as there is no free ICD (yet), package
in main should only depends/recommends ocl-icd-libopencl1 if they
do not need an ICD (ie OpenCL implementation). So, for now, it
is mostly useful for ICD themself such as pocl.
  Packages that want to use OpenCL should depends on
libopencl1 *and* uploaded in contrib for now.

  Pocl is a promising free OpenCL implementation, but it is not
yet really useful for real OpenCL programs (unless they use only
the parts that are already implemented in pocl)
  I will package it soon so that people can begin to try it.

  Regards,
    Vincent

> Bastien

-- 
Vincent Danjean       GPG key ID 0x9D025E87         vdanjean@debian.org
GPG key fingerprint: FC95 08A6 854D DB48 4B9A  8A94 0BF7 7867 9D02 5E87
Unofficial pkgs: http://moais.imag.fr/membres/vincent.danjean/deb.html
APT repo:  deb http://people.debian.org/~vdanjean/debian unstable main





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#676504; Package wnpp. (Sat, 17 Aug 2013 07:15:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Sat, 17 Aug 2013 07:15:36 GMT) Full text and rfc822 format available.

Message #37 received at 676504@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 676504@bugs.debian.org
Cc: control@bugs.debian.org
Subject: pocl: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:07 +0200
retitle 676504 RFP: pocl -- Portable OpenCL
noowner 676504
tag 676504 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging pocl. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of pocl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging pocl, please send a mail to
<control@bugs.debian.org> with:

 retitle 676504 ITP: pocl -- Portable OpenCL
 owner 676504 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <676504@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: pocl -- Portable OpenCL' from 'ITP: pocl -- Portable OpenCL' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:18:30 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Vincent Danjean <vdanjean@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:18:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676504; Package wnpp. (Fri, 07 Feb 2014 09:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean.ml@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 07 Feb 2014 09:12:05 GMT) Full text and rfc822 format available.

Message #46 received at 676504@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean.ml@free.fr>
To: "Rebecca N. Palmer" <r.palmer@bham.ac.uk>, pkg-opencl-devel@lists.alioth.debian.org, Andreas Beckmann <anbe@debian.org>, 676504@bugs.debian.org
Subject: Re: pocl ITP, and opencl-icd selection
Date: Fri, 07 Feb 2014 10:09:12 +0100
  Hi,

On 05/02/2014 00:15, Rebecca N. Palmer wrote:
> 1) The pocl proposed package (ITP #676504,
> https://alioth.debian.org/anonscm/git/collab-maint/pocl.git)
> has not been touched for approximately a year; did it hit a
> technical problem, or have you just not had time?

  Initially, it was technical problems (mainly (sub)architecture
detection at compilation time). But, to my knowledge, this has
been correctly addressed and fixed upstream.
  Then, it is only lack of time.

  The packaging is done in the git repo in the colab-maint project
on alioth. Any one-time help (importing and testing the pre 0.9
releases, ...) or even co-maintainer on the long term is really
welcome.

> 2) Do you have a plan for how to ensure the correct ICD for the
> hardware is installed?

  No, and I do not see any way to do this. There is no hardware
information for the dependency system (but the "main" architecture
such as i386/amd64/armel/...) If we got a free implementation
that "works" (not necessarily optimized) nearly everywhere (pocl ?),
then we can imagine to put it as the first alternative dependency.

  Your two proposal are also very interesting. The difference
with xorg is that xorg choose the "good" driver at runtime if all
are installed. This is not the case with OpenCL. For example,
if beignet is installed on a machine where it does not work,
it can be selected as the default implementation by libOpenCL.so.1
(but if its initializer does not report any plateform on non-supported
environment, I did not checked).

  I think the first step is to package pocl. Then, we can try
to improve dependencies so that OpenCL applications work on
all machine by default (sometime, OpenCL applications require
specifically a GPU device. Should we fallback on CPU device if
none are available ?). Perhaps, the ICD loader of ocl-icl can be
improved to add specific runtime detection in order to choose
the best default implementation when several are available
(perhaps with the help of ICDs themselves).

  Regards,
    Vincent

PS: I will be without internet access for 1 week.

-- 
Vincent Danjean       GPG key ID 0x9D025E87         vdanjean@debian.org
GPG key fingerprint: FC95 08A6 854D DB48 4B9A  8A94 0BF7 7867 9D02 5E87
Unofficial pkgs: http://moais.imag.fr/membres/vincent.danjean/deb.html
APT repo:  deb http://people.debian.org/~vdanjean/debian unstable main




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676504; Package wnpp. (Fri, 07 Feb 2014 10:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Rebecca N. Palmer" <r.palmer@bham.ac.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 07 Feb 2014 10:57:14 GMT) Full text and rfc822 format available.

Message #51 received at 676504@bugs.debian.org (full text, mbox):

From: "Rebecca N. Palmer" <r.palmer@bham.ac.uk>
To: Vincent Danjean <vdanjean.ml@free.fr>, pkg-opencl-devel@lists.alioth.debian.org, Andreas Beckmann <anbe@debian.org>, 676504@bugs.debian.org
Subject: Re: pocl ITP, and opencl-icd selection
Date: Fri, 07 Feb 2014 10:49:47 +0000
Control: retitle -1 ITP: pocl -- Portable OpenCL

(For those reading in the bug, my previous message is 
http://lists.alioth.debian.org/pipermail/pkg-opencl-devel/Week-of-Mon-20140203/000079.html 
)

> (importing and testing the pre 0.9
> releases, ...)
I'll give that a try.
Would it make sense for the pkg-opencl-devel list to own this package?




Changed Bug title to 'ITP: pocl -- Portable OpenCL' from 'RFP: pocl -- Portable OpenCL' Request was from "Rebecca N. Palmer" <r.palmer@bham.ac.uk> to 676504-submit@bugs.debian.org. (Fri, 07 Feb 2014 10:57:14 GMT) Full text and rfc822 format available.

Owner recorded as "Rebecca N. Palmer" <r.palmer@bham.ac.uk>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 06 Apr 2014 20:21:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676504; Package wnpp. (Sat, 19 Apr 2014 16:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Rebecca N. Palmer" <r.palmer@bham.ac.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 19 Apr 2014 16:33:05 GMT) Full text and rfc822 format available.

Message #60 received at 676504@bugs.debian.org (full text, mbox):

From: "Rebecca N. Palmer" <r.palmer@bham.ac.uk>
To: 676504@bugs.debian.org
Subject: pocl package now builds
Date: Sat, 19 Apr 2014 17:28:45 +0100
[Message part 1 (text/plain, inline)]
After importing version 0.9 and making the attached changes to /debian, 
pocl builds, and appears to be functional (tested with pyopencl).

Remaining known issues:
Out-of-date symbols files (how do you get the (c++) in there?)
dpkg-shlibdeps warnings:
dh_shlibdeps -a -- --warnings=7
dpkg-shlibdeps: warning: 
debian/libpocl1/usr/lib/x86_64-linux-gnu/pocl/llvmopencl.so.3.0.0 
contains an unresolvable reference to symbol 
_ZNK4llvm15ScalarEvolution10isSCEVableEPNS_4TypeE: it's probably a plugin
dpkg-shlibdeps: warning: 264 other similar warnings have been skipped 
(use -v to see them all)
dpkg-shlibdeps: warning: 
debian/libpocl1/usr/lib/x86_64-linux-gnu/pocl/llvmopencl.so.3.0.0 should 
not be linked against libgcc_s.so.1 (it uses none of the library's symbols)
dpkg-shlibdeps: warning: 
debian/libpocl1/usr/lib/x86_64-linux-gnu/libpocl.so.1.2.0 should not be 
linked against libffi.so.6 (it uses none of the library's symbols)
dpkg-shlibdeps: warning: package could avoid a useless dependency if 
debian/libpocl1/usr/lib/x86_64-linux-gnu/pocl/llvmopencl.so.3.0.0 was 
not linked against libgcc_s.so.1 (it uses none of the library's symbols)
dpkg-shlibdeps: warning: package could avoid a useless dependency if 
debian/libpocl1/usr/lib/x86_64-linux-gnu/libpocl.so.1.2.0 was not linked 
against libffi.so.6 (it uses none of the library's symbols)

[pocl_fixes.txt (text/plain, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:33:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.